browser-insert-module-global(1)

NAME
browser-insert-module-global - browserify tools to insert global module list

SYNOPSIS
browser-insert-module-global [file]

DESCRIPTION
browser-insert-module-global pack node-style source files dependencies browser-insert-module-global will input a javascript file and will output a transformed javascript file with a closure around the contents as necessary to define extra builtins. browser-insert-module-global will read by default STDIN.

EXAMPLES
browser-module-deps /usr/share/doc/node-insert-module-globals/examples/main.js | browser-insert-module-globals | browser-pack | node
in main.js: {"__filename":"/main.js","__dirname":"/"}
in foo/index.js: {"__filename":"/foo/index.js","__dirname":"/foo"}

SEE ALSO
browserify(1), browser-module-deps browser-pack(1), nodejs(1),